Pre-Development - Bug #19045

IAM > MLEB system
01 December 2023 03:44 PM - Low Dylan

Status: In Progress Start date: 01 December 2023
Priority: Normal Due date:

Assignee: Amirul Umar Pandai % Done: 70%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour
Description

mleb system - 70% Ul with integrated BE

What is the issue?

History

#1 - 01 December 2023 03:59 PM - chok yee fan
- File Screenshot 2023-12-01 at 3.58.09 PM.png added

- Assignee changed from chok yee fan to Low Dylan

Base on David highlight, from the mleb system will assign users. But the ws not ready yet.

ws method name
- searchUserSystemAssigmentAction
- saveUserSystemAssigmentAction

#2 - 08 December 2023 12:56 PM - David Wong
- Status changed from New to Assigned

- Assignee changed from Low Dylan to David Wong

#3 - 21 February 2024 02:05 PM - chok yee fan
- Assignee changed from David Wong to Zaid Haritsah

#4 - 11 March 2024 09:53 AM - Zaid Haritsah
- Status changed from Assigned to In Progress

- % Done changed from 0 to 70

Completed and updated the mleb system module. Added the generic tree features to support the latest requirement.

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/e9474cdfa872fb4af6a2e381e8537458177ef373

1- search -> searchUserSystemAssigmentAction {
"sessionID": "test",

"mlebSystemBean": {
"systemCode":"MLEB_IAM",
"systemName":"Administration",

"status":"A"

2
"mlebSystemEntity": {

I3
"orgProfileBean":{
"orgld": 2
}
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/e9474cdfa872fb4af6a2e381e8537458177ef373

2- check and uncheck -> saveUserSystemTempAssigmentAction {

"sessionID": "test",
"userProfileBean": {
"selected":true,
"orgld":"2",
"userld":"sysuser"
13
"mlebSystemEntity": {
"systemCode": "MLEB_IAM"
13
"userSystemTempEntity": {
"systemCode": "MLEB_IAM",
"orgld":"2",
"userld":"sysuser",

"status": "A",

"effectiveDt": null,

"expiryDt": null

}

1

3- saveUserSystemAssigmentAction {

"sessionID": "test",
"userSystemTempEntity": {
"systemCode": "MLEB_IAM",
"orgld":"2",
"userld":"sysuser"

1

1

#5 - 11 March 2024 09:55 AM - Zaid Haritsah

- Assignee changed from Zaid Haritsah to Hazimi Muhammad

#6 - 11 March 2024 09:56 AM - Zaid Haritsah

- Assignee changed from Hazimi Muhammad to Nityanantan Nityanantan

#7 - 13 March 2024 03:59 PM - Nityanantan Nityanantan
- Assignee changed from Nityanantan Nityanantan to Amirul Umar Pandai

Files

Screenshot 2023-12-01 at 3.58.09 PM.png 229 KB 01 December 2023 chok yee fan
